Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class RemoteWMSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wms.configuration.RemoteWMSDataSource

    public class RemoteWMSDataSource

extends AbstractDataSource

Data source description for a REMOTEWMS datasource

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`DATABASE, EXTERNALDATAACCESS, LOCALWCS, LOCALWFS, ows, REMOTEWCS, REMOTEWFS, REMOTEWMS`

Constructor Summary
`RemoteWMSDataSource(boolean querable, boolean failOnException, QualifiedName name, int type, OGCWebService ows, URL capabilitiesURL, ScaleHint scaleHint, Geometry validArea, GetMap getMap, Color[] transparentColors, URL featureInfoTransform, int reqTimeLimit, List<String> passedParameters, Map<String,String> addedParameters)` Creates a new DataSource object.

Method Summary
`Map<String,String>` | `getAddedParameters()`
`GetMap` | `getGetMapRequest()` returns an instance of a `GetMapRequest` encapsulating the filter conditions against a remote WMS.
`OGCWebService` | `getOGCWebService()` returns an instance of the `OGCWebService` that represents the datasource.
`List<String>` | `getPassedParameters()`
`Color[]` | `getTransparentColors()`

Methods inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`getCapabilitiesURL, getDimProps, getFeatureInfoTransform, getFeatureInfoURL, getName, getRequestTimeLimit, getScaleHint, getType, getValidArea, isFailOnException, isQueryable, setFeatureInfoURL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteWMSDataSource

    public RemoteWMSDataSource(boolean querable,
                               boolean failOnException,
                               QualifiedName name,
                               int type,
                               OGCWebService ows,
                               URL capabilitiesURL,
                               ScaleHint scaleHint,
                               Geometry validArea,
                               GetMap getMap,
                               Color[] transparentColors,
                               URL featureInfoTransform,
                               int reqTimeLimit,
                               List<String> passedParameters,
                               Map<String,String> addedParameters)

  Creates a new DataSource object.

  Parameters:
    `querable` -
    `failOnException` -
    `name` - name of the featuretype to access
    `type` - type of the data source (REMOTEWCS, LOCALWCS)
    `ows` - `OGCWebService` instance for accessing the data source
    `capabilitiesURL` -
    `scaleHint` - filter condition
    `validArea` -
    `getMap` -
    `transparentColors` -
    `featureInfoTransform` -
    `reqTimeLimit` -
    `passedParameters` - parameter names to be passed in incoming GetMap requests
    `addedParameters` - parameters and values to be added to outgoing GetMap requests

Method Detail

### getGetMapRequest

    public GetMap getGetMapRequest()

  returns an instance of a `GetMapRequest` encapsulating the filter conditions against a remote WMS. The request object contains: WMTVER, LAYERS, STYLES, FORMAT, TRANSPARENT, VENDORSPECIFICPARAMETERS

  Returns:
    filter conditions

### getTransparentColors

    public Color[] getTransparentColors()

  Returns:
    an array of colors that shall be treated as transparent

### getOGCWebService

    public OGCWebService getOGCWebService()

  returns an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS

  Specified by:
    `getOGCWebService` in class `AbstractDataSource`
  Returns:
    an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS

### getPassedParameters

    public List<String> getPassedParameters()

  Returns:
    a list of parameter names to be passed from incoming requests

### getAddedParameters

    public Map<String,String> getAddedParameters()

  Returns:
    a list of parameters to be added to outgoing requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org